import { http } from '@/api/service/request';
import type { BaseResult, ResultTable } from '@/api/service/types';

/** 用户请求日志---获取用户请求日志列表 */
export const fetchRequestLogList = (data: any) => {
	data = {
		url: data.url,
		userId: data.userId,
		username: data.username,
		token: data.token,
		ipAddress: data.ipAddress,
		ipRegion: data.ipRegion,
		userAgent: data.userAgent,
		arg: data.arg,
		result: data.result,
		executeTime: data.executeTime,
		xRequestedWith: data.xRequestedWith,
		currentPage: data.currentPage,
		pageSize: data.pageSize,
	};
	return http.request<BaseResult<ResultTable>>('get', `userRequestLog/getRequestLogList/${data.currentPage}/${data.pageSize}`, { params: data });
};

/** 用户请求日志---删除用户请求日志 */
export const fetchDeletedRequestLogByIds = (data: any) => {
	return http.request<BaseResult<object>>('delete', 'userRequestLog/deletedRequestLogByIds', { data });
};
