import dayjs from 'dayjs';
import { $t } from '@/plugins/i18n';

export const currentWeek = () => {
	const dayjs1 = [dayjs().day(1), dayjs().day(7)];
	const dayjs2 = [dayjs().day(-6), dayjs().day(0)];
	return dayjs().day() != 0 ? dayjs1 : dayjs2;
};
export const currentMouth = [dayjs().startOf('month'), dayjs().endOf('month')];
export const currentYear = [dayjs().startOf('year'), dayjs().endOf('year')];
export const days = ['周日', '周一', '周二', '周三', '周四', '周五', '周六'];

/**
 * 自动生成查询月份选择
 * @param start 开始月份
 * @param end 结束月份
 * @param deleteCurrentMouth 是否跳过当前月
 */
export const allMouth = (start = 0, end = 11, deleteCurrentMouth = true) => {
	let mouths = [...Array(end - start + 1).keys()].map(i => i + start);
	if (deleteCurrentMouth) {
		mouths = mouths.filter(mouth => mouth != dayjs().month());
	}

	return mouths.map(mouth => [dayjs().month(mouth).startOf('month'), dayjs().month(mouth).endOf('month')]);
};

/** 选择日期所有的月份 */
export const shortcutsAllMouth = () =>
	allMouth().map((mouths, index) => ({
		text: index + 1 + $t('month'),
		value: mouths,
	}));
