import { $t } from '@/plugins/i18n';

// 表格列
export const columns: TableColumnList = [
	{ type: 'selection', align: 'left' },
	{ type: 'index', index: (index: number) => index + 1, label: '序号', minWidth: 60 },
	// 请求URL
	{ label: $t('url'), prop: 'url', minWidth: 300 },
	// 用户名
	{ label: $t('userLoginLog_username'), prop: 'username', minWidth: 180 },
	// 登录Ip
	{ label: $t('userLoginLog_ipAddress'), prop: 'ipAddress', minWidth: 130 },
	// 登录Ip归属地
	{ label: $t('userLoginLog_ipRegion'), prop: 'ipRegion', minWidth: 160 },
	// 参数
	{ label: $t('arg'), prop: 'arg', minWidth: 130 },
	// 结果
	{ label: $t('result'), prop: 'result', minWidth: 130 },
	{ label: $t('executeTime'), prop: 'executeTime', sortable: true, width: 160 },
	// 登录时代理
	{ label: $t('userLoginLog_userAgent'), prop: 'userAgent', minWidth: 200 },
	// 标识客户端是否是通过Ajax发送请求的
	{ label: $t('userLoginLog_xRequestedWith'), prop: 'xRequestedWith', minWidth: 150 },
	// 登录token
	{ label: $t('userLoginLog_token'), prop: 'token', width: 200 },
	{ label: $t('table.operation'), fixed: 'right', width: 90, slot: 'operation' },
];
